## org.apache.axis.management
Class Registrar

    java.lang.Object
      org.apache.axis.management.Registrar

public class Registrar
extends java.lang.Object

class to act as a dynamic loading registrar to commons-modeler, so as to autoregister stuff

Field Summary
`protected static org.apache.commons.logging.Log` `log` our log

Constructor Summary
`Registrar()`

Method Summary
`static boolean` `isBound()` Check for being bound to a modeler -this will force a binding if none existed.
`static boolean` `register(java.lang.Object objectToRegister, java.lang.String name, java.lang.String context)` register using reflection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

  our log

Constructor Detail

### Registrar

    public Registrar()

Method Detail

### register

    public static boolean register(java.lang.Object objectToRegister,
                                   java.lang.String name,
                                   java.lang.String context)

  register using reflection. The perf hit is moot as jmx is all reflection anyway

  Parameters:
    `objectToRegister` -
    `name` -
    `context` -

### isBound

    public static boolean isBound()

  Check for being bound to a modeler -this will force a binding if none existed.

  Returns:

Copyright © 2005 Apache Web Services Project. All Rights Reserved.